'use client'
import React from 'react'
import {IEvent} from "@/types/response";
import {Card, CardContent, CardDescription, CardFooter, CardHeader, CardTitle} from "@/components/ui/card";
import Image from "next/image";
export const EventCard = (props: IEvent) => {
 return (
   <>
    <Card>
     <CardContent className={"relative p-2 min-w-64 min-h-32 m-1"}>
      <Image src={props.base64Banner} alt={props.title} layout="fill" objectFit="cover" className={'rounded h-16'}/>
      <CardHeader className={'z-20 absolute bg-accent opacity-85 rounded p-1 w-fit flex flex-col justify-center items-center'}>
        <CardTitle>{props.title}</CardTitle>
        <CardDescription className={'text-sm w-fit text-center'}>{props.desc}</CardDescription>
      </CardHeader>
      <CardFooter>
        <p>{props.date}</p>
      </CardFooter>
     </CardContent>
    </Card>
   </>
 )
}