import React from 'react'
import {Button} from "@/components/ui/button";
import HeaderAccountContainer from "@/components/HeaderAccountContainer";
import {ThemeSelector} from "@/components/theme-selector";

export const Header = () => {
  return (
    <header className="flex flex-row justify-between items-center p-2 w-full">
      <div className="flex items-center justify-between">
        <h1 className={"text-2xl font-bold"}>Rendez <em className={"dark:text-primary-foreground text-accent-foreground"}>vous !</em></h1>
      </div>
      <ThemeSelector/>
      <HeaderAccountContainer/>
    </header>
  )
}
export default Header;